summaryrefslogtreecommitdiffstats
path: root/desktop/thunar-dropbox
diff options
context:
space:
mode:
author Murat D. Kadirov <banderols@gmail.com>2010-09-16 23:53:12 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-09-16 23:53:12 -0500
commit3b45329a9561b9dd8e78d459abe6a85bb6a7e175 (patch)
tree3f305c3cc8639358625568c53d6388c4f84f25ed /desktop/thunar-dropbox
parent8ca8d4be4d4152fda5c34eef2bcb2c7559432fa0 (diff)
downloadslackbuilds-3b45329a9561b9dd8e78d459abe6a85bb6a7e175.tar.gz
slackbuilds-3b45329a9561b9dd8e78d459abe6a85bb6a7e175.tar.xz
desktop/thunar-dropbox: Added (dropbox plugin for thunar)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'desktop/thunar-dropbox')
-rw-r--r--desktop/thunar-dropbox/README1
-rw-r--r--desktop/thunar-dropbox/doinst.sh6
-rw-r--r--desktop/thunar-dropbox/slack-desc19
-rw-r--r--desktop/thunar-dropbox/thunar-dropbox.SlackBuild91
-rw-r--r--desktop/thunar-dropbox/thunar-dropbox.info10
5 files changed, 127 insertions, 0 deletions
diff --git a/desktop/thunar-dropbox/README b/desktop/thunar-dropbox/README
new file mode 100644
index 0000000000..23795731f9
--- /dev/null
+++ b/desktop/thunar-dropbox/README
@@ -0,0 +1 @@
+Thunar-dropbox is a Thunar plugin that adds context-menu items from dropbox.
diff --git a/desktop/thunar-dropbox/doinst.sh b/desktop/thunar-dropbox/doinst.sh
new file mode 100644
index 0000000000..30eb690936
--- /dev/null
+++ b/desktop/thunar-dropbox/doinst.sh
@@ -0,0 +1,6 @@
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/desktop/thunar-dropbox/slack-desc b/desktop/thunar-dropbox/slack-desc
new file mode 100644
index 0000000000..4f41b146bd
--- /dev/null
+++ b/desktop/thunar-dropbox/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+thunar-dropbox: thunar dropbox (dropbox plugin for thunar)
+thunar-dropbox:
+thunar-dropbox: Thunar Dropbox is a plugin for thunar that adds context-menu
+thunar-dropbox: items from dropbox.
+thunar-dropbox:
+thunar-dropbox: http://www.softwarebakery.com/maato/thunar-dropbox.html
+thunar-dropbox:
+thunar-dropbox:
+thunar-dropbox:
+thunar-dropbox:
+thunar-dropbox:
diff --git a/desktop/thunar-dropbox/thunar-dropbox.SlackBuild b/desktop/thunar-dropbox/thunar-dropbox.SlackBuild
new file mode 100644
index 0000000000..9e0eccb7d7
--- /dev/null
+++ b/desktop/thunar-dropbox/thunar-dropbox.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for Thunar Dropbox
+
+# Copyright 2010 Murat D. Kadirov <banderols@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=thunar-dropbox
+VERSION=${VERSION:-0.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./waf configure --prefix=/usr --libdir=/usr/lib${LIBDIRSUFFIX}
+./waf build
+./waf install --destdir=$PKG
+
+# --libdir is ignored; wscript should be fixed
+[ "$LIBDIRSUFFIX" = "64" ] && mv $PKG/usr/lib $PKG/usr/lib${LIBDIRSUFFIX}
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/thunar-dropbox/thunar-dropbox.info b/desktop/thunar-dropbox/thunar-dropbox.info
new file mode 100644
index 0000000000..95eeaa6717
--- /dev/null
+++ b/desktop/thunar-dropbox/thunar-dropbox.info
@@ -0,0 +1,10 @@
+PRGNAM="thunar-dropbox"
+VERSION="0.1.1"
+HOMEPAGE="http://www.softwarebakery.com/maato/thunar-dropbox.html"
+DOWNLOAD="http://www.softwarebakery.com/maato/files/thunar-dropbox/thunar-dropbox-0.1.1.tar.bz2"
+MD5SUM="a4d6a6598d441f25625d0b8cd76f5091"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Murat D. Kadirov"
+EMAIL="banderols@gmail.com"
+APPROVED="rworkman"